> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/sendTestPushNotification#auth).

Sends a test notification to validate the EMM integration with
the Google Cloud Pub/Sub service for this enterprise.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/sendTestPushNotification
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "topicName": string,
  "messageId": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `topicName` | `string` | The name of the Cloud Pub/Sub topic to which notifications for this enterprise's enrolled account will be sent. |   |
| `messageId` | `string` | The message ID of the test push notification that was sent. |   |